import { Datastore, Model } from '.';
export declare class Human {
    name: string;
    age: number;
    constructor(name: string, age: number);
}
export declare class Planet extends Model<Planet> {
    name: string;
    index: number;
    people: Human[];
    constructor(name: string, index: number);
    addHuman(): void;
    age(): void;
}
export declare let testStore: Datastore<Planet>;
export declare const testCreateRandomPlanets: (push?: boolean) => Promise<Planet[]>;
