"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const datastore_manager_1 = require("../datastore/datastore.manager");
class Reference {
    constructor(id) {
        this.id = id;
    }
    get(type) {
        return __awaiter(this, void 0, void 0, function* () {
            const datastore = datastore_manager_1.DatastoreManager.get(type);
            return datastore.get(this.id);
        });
    }
}
exports.Reference = Reference;
//# sourceMappingURL=reference.js.map